It is currently Mon Mar 25, 2019 4:16 am


All times are UTC




Post new topic Reply to topic  [ 2 posts ] 
Author Message
 Post subject: Problem running gns3 on Debian
PostPosted: Sun Feb 27, 2011 12:56 pm 
Looks like GNS3 installation on Linux OS is a pain .


I installed Linux 64bit edition and took the gns3 tar file from gns3.net and extracted that , when executed gns3 it told me that it requires qt4 for the task , so i did got qt4 from apt-get install command . After when I ran it , it told me that gns3 requires a newer version of qt4 which was not avaliable in repo . I got the tar file from internet and tried doing configure.py and it said sip module is missing , then i came to know that i require to build sip too for that task . I downloaded sip and then did a configure.py and things went fine after I did Makeinstall and got error . Now I am stuck at the point . Below are the details


OS :
Linux debian 2.6.26-2-amd64


Error with gns3:
Traceback (most recent call last):
File "./gns3", line 35, in <module>
raise RuntimeError, "Need Qt v4.5.1 or higher, but got v%s" % QtCore.QT_VERSION_STR
RuntimeError: Need Qt v4.5.1 or higher, but got v4.4.0


Got QT from :
http://www.riverbankcomputing.co.uk/sof ... t/download


Error with QT4 :
Error: This version of PyQt requires SIP v4.12.1 or later


SIP error :
debian:/home/ali/Desktop/sip-4.12.1# python configure.py
This is SIP 4.12.1 for Python 2.5.2 on linux2.
The SIP code generator will be installed in /usr/bin.
The sip module will be installed in /usr/lib/python2.5/site-packages.
The sip.h header file will be installed in /usr/include/python2.5.
The default directory to install .sip files in is /usr/share/sip.
The platform/compiler configuration is linux-g++.
Creating siplib/sip.h...
Creating siplib/siplib.c...
Creating siplib/siplib.sbf...
Creating sipconfig.py...
Creating top level Makefile...
Creating sip code generator Makefile...
Creating sip module Makefile...
debian:/home/ali/Desktop/sip-4.12.1# ./Makefile
./Makefile: line 2: all:: command not found
./Makefile: line 3: syntax error near unexpected token `cd'
./Makefile: line 3: ` @(cd sipgen; $(MAKE))'





Please help,


Or I should install some other OS ( Linux ) ? or these are the things required in all Linux OS ?




Top
  
 
 Post subject: Re: Problem running gns3 on Debian
PostPosted: Mon Mar 07, 2011 2:53 pm 
can any of the developers conform if this is not a bug in gns ?




Top
  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 2 posts ] 

All times are UTC


Who is online

Users browsing this forum: No registered users and 2 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
cron
Powered by phpBB® Forum Software © phpBB Group

phpBB SEO